package turbowin;


import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * myice1.java
 *
 * Created on 12-nov-2010, 9:46:05
 */

/**
 *
 * @author Martin
 */
final public class myice1 extends javax.swing.JFrame {

    /** Creates new form myice1 */
    public myice1() {
        initComponents();
        initListComponents();
        initComponents2();
        initSynopparameters();
        setLocation(main.x_pos_frame, main.y_pos_frame);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents() {

      jSeparator1 = new javax.swing.JSeparator();
      jButton1 = new javax.swing.JButton();
      jButton2 = new javax.swing.JButton();
      jButton3 = new javax.swing.JButton();
      jPanel1 = new javax.swing.JPanel();
      jLabel1 = new javax.swing.JLabel();
      jComboBox1 = new javax.swing.JComboBox<String>();
      jLabel2 = new javax.swing.JLabel();
      jComboBox2 = new javax.swing.JComboBox<String>();
      jLabel3 = new javax.swing.JLabel();
      jComboBox3 = new javax.swing.JComboBox<String>();
      jLabel4 = new javax.swing.JLabel();
      jComboBox4 = new javax.swing.JComboBox<String>();
      jLabel5 = new javax.swing.JLabel();
      jComboBox5 = new javax.swing.JComboBox<String>();

      setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
      setTitle("Ice");

      jButton1.setText("OK");
      jButton1.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            OK_button_actionPerformed(evt);
         }
      });

      jButton2.setText("Cancel");
      jButton2.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Cancel_button_actionPerformed(evt);
         }
      });

      jButton3.setText("Internet");
      jButton3.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Internet_button_actionPerformed(evt);
         }
      });

      jLabel1.setText("concentration or arrangement of sea ice");

      jComboBox1.setMaximumRowCount(11);
      jComboBox1.setModel(new javax.swing.DefaultComboBoxModel<String>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

      jLabel2.setText("stage of development");

      jComboBox2.setMaximumRowCount(11);
      jComboBox2.setModel(new javax.swing.DefaultComboBoxModel<String>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

      jLabel3.setText("ice of land origin");

      jComboBox3.setMaximumRowCount(11);
      jComboBox3.setModel(new javax.swing.DefaultComboBoxModel<String>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

      jLabel4.setText("bearing of principal ice edge");

      jComboBox4.setMaximumRowCount(11);
      jComboBox4.setModel(new javax.swing.DefaultComboBoxModel<String>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

      jLabel5.setText("ice situation and trend over preceding three hours");

      jComboBox5.setMaximumRowCount(11);
      jComboBox5.setModel(new javax.swing.DefaultComboBoxModel<String>(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

      javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
      jPanel1.setLayout(jPanel1Layout);
      jPanel1Layout.setHorizontalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jComboBox2, javax.swing.GroupLayout.Alignment.TRAILING, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jComboBox3, javax.swing.GroupLayout.Alignment.TRAILING, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jComboBox4, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addGroup(jPanel1Layout.createSequentialGroup()
                  .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(jLabel1)
                     .addComponent(jLabel2)
                     .addComponent(jLabel3)
                     .addComponent(jLabel4)
                     .addComponent(jLabel5))
                  .addGap(0, 0, Short.MAX_VALUE))
               .addComponent(jComboBox5, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jComboBox1, javax.swing.GroupLayout.Alignment.TRAILING, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addContainerGap())
      );
      jPanel1Layout.setVerticalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
            .addContainerGap(57, Short.MAX_VALUE)
            .addComponent(jLabel1)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jLabel2)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jComboBox2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jComboBox3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jLabel4)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jComboBox4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jLabel5)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jComboBox5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(27, 27, 27))
      );

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGap(260, 260, 260)
            .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addContainerGap(285, Short.MAX_VALUE))
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jSeparator1)
               .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGap(22, 22, 22)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 22, Short.MAX_VALUE)
            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 2, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGap(15, 15, 15))
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents



   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initComponents2()
   {
       if (main.offline_mode == true)
      {
         jButton3.setText("Help");
      }
   } // private void initComponents2()






   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Reset_All_Ice_Vars()
   {
      ci_code               = "";
      Si_code               = "";
      bi_code               = "";
      Di_code               = "";
      zi_code               = "";

      checks_ok             = false;
   } // private void Reset_All_Icing_Vars()



    /***********************************************************************************************/
    /*                                                                                             */
    /*                                                                                             */
    /*                                                                                             */
    /***********************************************************************************************/
    private void initSynopparameters()
    {
       // put back earlier inserted values (if applicable)
       //
       //
       // NB bij een "UNABLE TO REPORT ETC" is de xx_code een "u" geworden


       // concentration or arrangement of sea ice (ci)
       //
       try
       {
          if (ci_code.trim().equals("u"))
          {
             jComboBox1.setSelectedIndex(10);
             //jComboBox1.ensureIndexIsVisible(10);
          }
          else
          {
             int int_ci_code = Integer.parseInt(ci_code.trim());
             if (int_ci_code >= 0 && int_ci_code <= 9)
             {
                jComboBox1.setSelectedIndex(int_ci_code);
                //jList1.ensureIndexIsVisible(int_ci_code);
             } // if (int_ci_code >= 0 && int_ci_code <= 9)
          } // else
       } // try
       catch (NumberFormatException e) {  }


       // stage of development Si)
       //
       try
       {
          if (Si_code.trim().equals("u"))
          {
             jComboBox2.setSelectedIndex(10);
             //jList2.ensureIndexIsVisible(10);
          }
          else
          {
             int int_Si_code = Integer.parseInt(Si_code.trim());
             if (int_Si_code >= 0 && int_Si_code <= 9)
             {
                jComboBox2.setSelectedIndex(int_Si_code);
                //jList2.ensureIndexIsVisible(int_Si_code);
             } // if (int_Si_code >= 0 && int_Si_code <= 9)
          } // else
       } // try
       catch (NumberFormatException e) {  }


       // Ice of land origin (bi)
       //
       try
       {
          if (bi_code.trim().equals("u"))
          {
             jComboBox3.setSelectedIndex(10);
             //jList3.ensureIndexIsVisible(10);
          }
          else
          {
             int int_bi_code = Integer.parseInt(bi_code.trim());
             if (int_bi_code >= 0 && int_bi_code <= 9)
             {
                jComboBox3.setSelectedIndex(int_bi_code);
                //jList3.ensureIndexIsVisible(int_bi_code);
             } // if (int_bi_code >= 0 && int_bi_code <= 9)
          } // else
       } // try
       catch (NumberFormatException e) {  }


       // Bearing of principal ice edge (Di)
       //
       try
       {
          if (Di_code.trim().equals("u"))
          {
             jComboBox4.setSelectedIndex(10);
             //jList4.ensureIndexIsVisible(10);
          }
          else
          {
             int int_Di_code = Integer.parseInt(Di_code.trim());
             if (int_Di_code >= 0 && int_Di_code <= 9)
             {
                jComboBox4.setSelectedIndex(int_Di_code);
                //jList4.ensureIndexIsVisible(int_Di_code);
             } // if (int_Di_code >= 0 && int_Di_code <= 9)
          } // else
       } // try
       catch (NumberFormatException e) {  }


       // Ice situation and trend over preceding three hours (zi)
       //
       try
       {
          if (zi_code.trim().equals("u"))
          {
             jComboBox5.setSelectedIndex(10);
             //jList5.ensureIndexIsVisible(10);
          }
          else
          {
             int int_zi_code = Integer.parseInt(zi_code.trim());
             if (int_zi_code >= 0 && int_zi_code <= 9)
             {
                jComboBox5.setSelectedIndex(int_zi_code);
                //jList5.ensureIndexIsVisible(int_zi_code);
             } // if (int_zi_code >= 0 && int_zi_code <= 9)
          } // else
       } // try
       catch (NumberFormatException e) {  }

    } // private void initSynopparameters()




    /***********************************************************************************************/
    /*                                                                                             */
    /*                                                                                             */
    /*                                                                                             */
    /***********************************************************************************************/
    private void OK_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_button_actionPerformed
       // TODO add your handling code here:

       // initialisation
       Reset_All_Ice_Vars();


       // concentration or arrangement of sea ice (ci)
       //
       if (jComboBox1.getSelectedItem() != null)                                 // nothing selected, returns null
       {
          int int_ci_code = jComboBox1.getSelectedIndex();

          if (int_ci_code == 10)
          {
             ci_code = "u";
          }
          else if (int_ci_code == 11)                                            // blank line
          {
             ci_code = "";
          }
          else
          {
             // int naar String
             ci_code = Integer.toString(int_ci_code);
          }
       } // if (jList1.getSelectedValue() != null) 
       //JOptionPane.showMessageDialog(null, ci_code,  main.APPLICATION_NAME + " test ci_code", JOptionPane.WARNING_MESSAGE);


       // stage of development (Si)
       //
       if (jComboBox2.getSelectedItem() != null)                                 // nothing selected, returns null
       {
          int int_Si_code = jComboBox2.getSelectedIndex();

          if (int_Si_code == 10)
          {
             Si_code = "u";                                                      // unable to report etc.
          }
          else if (int_Si_code == 11)
          {
             Si_code = "";                                                       // blank line
          }
          else
          {
             // int naar String
             Si_code = Integer.toString(int_Si_code);
          }
       } // if (jList2.getSelectedValue() != null)


       // Ice of land origin (bi)
       //
       if (jComboBox3.getSelectedItem() != null)                                 // nothing selected, returns null
       {
          int int_bi_code = jComboBox3.getSelectedIndex();

          if (int_bi_code == 10)
          {
             bi_code = "u";                                                      // unable to report etc.
          }
          else if (int_bi_code == 11)
          {
             bi_code = "";                                                       // blank line
          }
          else
          {
             // int naar String
             bi_code = Integer.toString(int_bi_code);
          }
       } // if (jList3.getSelectedValue() != null)

       
       // Bearing of principal ice edge (Di)
       //
       if (jComboBox4.getSelectedItem() != null)                                 // nothing selected, returns null
       {
          int int_Di_code = jComboBox4.getSelectedIndex();

          if (int_Di_code == 10)
          {
             Di_code = "u";                                                      // unable to report etc.
          }
          else if (int_Di_code == 11)
          {
             Di_code = "";                                                       // blank line
          }
          else
          {
             // int naar String
             Di_code = Integer.toString(int_Di_code);
          }
       } // if (jList4.getSelectedValue() != null)


       // Ice situation and trend over preceding three hours (zi)
       //
       if (jComboBox5.getSelectedItem() != null)                                 // nothing selected, returns null
       {
          int int_zi_code = jComboBox5.getSelectedIndex();

          if (int_zi_code == 10)
          {
             zi_code = "u";                                                      // unable to report etc.
          }
          else if (int_zi_code == 11)
          {
             zi_code = "";                                                       // blank line
          }
          else
          {
             // int naar String
             zi_code = Integer.toString(int_zi_code);
          }
       } // if (jList5.getSelectedValue() != null)

/*
       if (jComboBox1.getSelectedItem() != null &&
           jComboBox2.getSelectedItem() != null &&
           jComboBox3.getSelectedItem() != null &&
           jComboBox4.getSelectedItem() != null &&
           jComboBox5.getSelectedItem() != null)
       {
          checks_ok = true;
       }
       else
       {
          checks_ok = false;
          JOptionPane.showMessageDialog(null, "One or more elements not selected",  main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
       }
*/
       checks_ok = true;
       
       if (checks_ok == true)
       {
          /* update ice fields on main screen */
          main.ice_fields_update();

          /* close this input page */
          setVisible(false);
          dispose();
       }

    }//GEN-LAST:event_OK_button_actionPerformed



    /***********************************************************************************************/
    /*                                                                                             */
    /*                                                                                             */
    /*                                                                                             */
    /***********************************************************************************************/
    private void Cancel_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancel_button_actionPerformed
       // TODO add your handling code here:

       setVisible(false);
       dispose();
    }//GEN-LAST:event_Cancel_button_actionPerformed

    


    /***********************************************************************************************/
    /*                                                                                             */
    /*                                                                                             */
    /*                                                                                             */
    /***********************************************************************************************/
    private void Internet_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Internet_button_actionPerformed
       // TODO add your handling code here:

       main.help_mouseClicked(ICE_HELP_DIR);
    }//GEN-LAST:event_Internet_button_actionPerformed





  private void initListComponents()
  {
     // NB open the GUI form, select JList component, go to Code
     //    properties and set "Type Parameters" property to <Integer>   (or <String> etc)
     //    (https://netbeans.org/bugzilla/show_bug.cgi?id=227943)
      
 
     
     
     // concentration or arrangement of sea ice
     //
/*     
     jList1.setModel(new javax.swing.AbstractListModel()
     {
        String[] strings = {
                             "No ice",
                             "Ship in ice or within 0.5 n mile of ice. Ship in open lead more than 1 n mile wide or ship in fast ice with boundary beyond limit of visibility",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Open water or very open pack ice, <3/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Open pack ice 3/8 to <6/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Close pack ice 6/8 to <7/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Very close pack ice 7/8 to <8/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration not uniform. Strips and patches of pack ice with open water between",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration not uniform. Strips and patches of close or very close pack ice with areas of lesser concentration between",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration not uniform. Fast ice with open water, very open or open pack ice to seaward of the ice boundary",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration not uniform. Fast ice with close or very close pack ice to seaward of the ice boundary",
                             "Unable to report, because of darkness, poor visibility or because ship is more than 0.5 n mile away from ice edge",
                           };
        @Override
        public int getSize() { return strings.length; }
        @Override
        public Object getElementAt(int i) { return strings[i]; }
     });
*/     
     
     ComboBoxModel<String> concentration_model = new DefaultComboBoxModel<String>()
     {
        String[] strings = {
                             "No ice",
                             "Ship in ice or within 0.5 n mile of ice. Ship in open lead > 1 n mile wide or ship in fast ice with boundary beyond limit of visibility",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Open water or very open pack ice, <3/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Open pack ice 3/8 to <6/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Close pack ice 6/8 to <7/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration uniform. Very close pack ice 7/8 to <8/8 concentration",
                             "Ship in ice or within 0.5 n mile of ice. Ice concentration not uniform. Strips & patches of pack ice with open water between",
                             "Ship in ice or within 0.5 n mile of ice. Ice conc. not unif. Strips & patches of close/very close pack ice with areas of lesser conc. between",
                             "Ship in ice or within 0.5 n mile of ice. Ice conc. not unif. Fast ice with open water, very open/open pack ice to seaward of the ice boundary",
                             "Ship in ice or within 0.5 n mile of ice. Ice conc. not unif. Fast ice with close/very close pack ice to seaward of the ice boundary",
                             "Unable to report, because of darkness, poor visibility or because ship is more than 0.5 n mile away from ice edge",
                             "",
                           };

         @Override
         public int getSize() { return  strings.length; }
         @Override
         public String getElementAt(int i) { return  strings[i]; }
      };
     
      jComboBox1.setModel(concentration_model);      
     


     // stage of development
     //
     ComboBoxModel<String> development_model = new DefaultComboBoxModel<String>() 
     {
        String[] strings = {
                             "New ice only (frazil ice, grease ice, slush, shuga)",
                             "Nilas or ice rind, <10 cm thick",
                             "Young ice (grey ice, grey-white ice) 10-30 cm thick",
                             "Predominantly new and/or young ice with some first-year ice",
                             "Predominantly thin first-year ice with some new and/or young ice",
                             "All thin first-year ice (30-70 cm thick)",
                             "Predominantly medium first-year ice (70-120 cm thick) & thick first-year ice (>120 cm thick) & some thinner (younger) first-year ice",
                             "All medium and thick first-year ice",
                             "Predominantly medium and thick first-year ice with some old ice (usually more than 2 metres thick)",
                             "Predominantly old ice",
                             "Unable to report, because of darkness, poor visibility or only ice of land origin visible or ship is > 0.5 n mile away from ice edge",
                             "",
                           };
        @Override
        public int getSize() { return strings.length; }
        @Override
        public String getElementAt(int i) { return strings[i]; }
     };
     jComboBox2.setModel(development_model);

     
     // Ice of land origin
     //
     ComboBoxModel<String> land_model = new DefaultComboBoxModel<String>()
     {
        String[] strings = {
                             "No ice of land origin",
                             "1-5 icebergs, no growlers or bergy bits",
                             "6-10 icebergs, no growlers or bergy bits",
                             "11-20 icebergs, no growlers or bergy bits",
                             "Up to and including 10 growlers and bergy bits - no icebergs",
                             "More than 10 growlers and bergy bits - no icebergs",
                             "1-5 icebergs with growlers and bergy bits",
                             "6-10 icebergs with growlers and bergy bits",
                             "11-20 icebergs with growlers and bergy bits",
                             "More than 20 icebergs with growlers and bergy bits - a major hazard to navigation",
                             "Unable to report, because of darkness, poor visibility or only sea ice is visible",
                             "",
                           };
        @Override
        public int getSize() { return strings.length; }
        @Override
        public String getElementAt(int i) { return strings[i]; }
     };
     jComboBox3.setModel(land_model);
     
     
     // Bearing of principal ice edge
     //
     ComboBoxModel<String> bearing_model = new DefaultComboBoxModel<String>()        
     {
        String[] strings = {
                             "Ship in shore or flaw lead",
                             "Ice edge towards NE",
                             "Ice edge towards east",
                             "Ice edge towards SE",
                             "Ice edge towards south",
                             "Ice edge towards SW",
                             "Ice edge towards west",
                             "Ice edge towards NW",
                             "Ice edge towards north",
                             "Not determined (ship in ice)",
                             "Unable to report, because of darkness, poor visibility or only ice of land origin visible",
                             "",
                           };
        @Override
        public int getSize() { return strings.length; }
        @Override
        public String getElementAt(int i) { return strings[i]; }
     };
     jComboBox4.setModel(bearing_model);

     
     // Ice situation and trend over preceding three hours
     //
     ComboBoxModel<String> situation_model = new DefaultComboBoxModel<String>() 
     {
        String[] strings = {
                             "Ship in open water with floating ice in sight",
                             "Ship in ice. Ship in easily penetrable ice: conditions improving",
                             "Ship in ice. Ship in easily penetrable ice: conditions not changing",
                             "Ship in ice. Ship in easily penetrable ice: conditions worsening.",
                             "Ship in ice. Ship in ice difficult to penetrate: conditions improving.",
                             "Ship in ice. Ship in ice difficult to penetrate: conditions not changing",
                             "Ship in ice. Ice difficult to penetrate, conditions worsening. Ice forming and floes freezing together",
                             "Ship in ice. Ice difficult to penetrate, conditions worsening. Ice under slight pressure",
                             "Ship in ice. Ice difficult to penetrate, conditions worsening. Ice under moderate or severe pressure",
                             "Ship in ice. Ice difficult to penetrate, conditions worsening. Ship beset",
                             "Unable to report, because of darkness or poor visibility",
                             "",
                           };
        @Override
        public int getSize() { return strings.length; }
        @Override
        public String getElementAt(int i) { return strings[i]; }
     };
     jComboBox5.setModel(situation_model);


   } // private void initListComponents() 











    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
         @Override
            public void run() {
                new myice1().setVisible(true);
            }
        });
    }

   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.JButton jButton1;
   private javax.swing.JButton jButton2;
   private javax.swing.JButton jButton3;
   private javax.swing.JComboBox<String> jComboBox1;
   private javax.swing.JComboBox<String> jComboBox2;
   private javax.swing.JComboBox<String> jComboBox3;
   private javax.swing.JComboBox<String> jComboBox4;
   private javax.swing.JComboBox<String> jComboBox5;
   private javax.swing.JLabel jLabel1;
   private javax.swing.JLabel jLabel2;
   private javax.swing.JLabel jLabel3;
   private javax.swing.JLabel jLabel4;
   private javax.swing.JLabel jLabel5;
   private javax.swing.JPanel jPanel1;
   private javax.swing.JSeparator jSeparator1;
   // End of variables declaration//GEN-END:variables


   // constants
   private final String ICE_HELP_DIR          = "ice.pdf";

   // var
   private boolean checks_ok                  = false;
  
   // global var's
   public static String ci_code               = "";            // 1 char
   public static String Si_code               = "";            // 1 char
   public static String bi_code               = "";            // 1 char
   public static String Di_code               = "";            // 1 char
   public static String zi_code               = "";            // 1 char
}
